# Class BashComplete

java.lang.Object
uk.ac.starlink.ttools.build.BashComplete

public class BashComplete extends Object

## Constructor Summary

Constructors
Constructor
Description
`BashComplete()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`completionCase(String name, String[] pattern)`
`static String`
`completionCase(String name, Collection pattern)`
`static String`
`fileCompletionCase(String name)`
`static void`
`main(String[] args)`
`static String`
`stiltsCompletition(String[] taskNames)`
`static String`
`taskCompletition(String taskName)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BashComplete

public BashComplete()

## Method Details

### taskCompletition

public static String taskCompletition(String taskName) throws uk.ac.starlink.util.LoadException

Throws:
  `uk.ac.starlink.util.LoadException`

### completionCase

public static String completionCase(String name, Collection pattern)

### completionCase

public static String completionCase(String name, String[] pattern)

### fileCompletionCase

public static String fileCompletionCase(String name)

### stiltsCompletition

public static String stiltsCompletition(String[] taskNames)

### main

public static void main(String[] args) throws IOException, uk.ac.starlink.util.LoadException

Throws:
  `IOException`
  `uk.ac.starlink.util.LoadException`